﻿using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleTimeFormat
{
	public partial class ScheduleTimeFormatPage : ContentPage
	{
		public ScheduleTimeFormatPage()
		{
			InitializeComponent();

			scheduletype.VerticalOptions = LayoutOptions.Start;
			scheduletype.Items.Add("DayView");
			scheduletype.Items.Add("WeekView");
			scheduletype.Items.Add("WorkWeekView");
			scheduletype.Items.Add("MonthView");
			scheduletype.SelectedIndex = 0;
			scheduletype.BackgroundColor = Color.FromRgb(192, 192, 192);
			scheduletype.SelectedIndexChanged += (object sender, System.EventArgs e) =>
			{
				switch (this.scheduletype.SelectedIndex)
				{
					case 0:
						{
							Schedule.ScheduleView = ScheduleView.DayView;

						}
						break;
					case 1:
						{
							Schedule.ScheduleView = ScheduleView.WeekView;
						}
						break;
					case 2:
						{
							Schedule.ScheduleView = ScheduleView.WorkWeekView;
						}
						break;
					case 3:
						{
							Schedule.ScheduleView = ScheduleView.MonthView;
						}
						break;
				}
			};
		}
	}
}

